Last Comment Bug 307447 - White line appears at the top of the help window and Error Console (bug 301039 was backed out)
: White line appears at the top of the help window and Error Console (bug 30103...
Status: RESOLVED FIXED
: fixed1.8.1, regression
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: 2.0 Branch
: x86 Windows XP
-- normal (vote)
: Firefox 2 beta1
Assigned To: Simon Bünzli
:
: :Gijs (away until Feb 27)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-07 19:14 PDT by John Hawkins
Modified: 2006-06-18 08:27 PDT (History)
10 users (show)
asa: blocking1.8b5-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Screenshot of previously mentioned white line in help dialog (65.54 KB, image/bmp)
2005-09-07 19:15 PDT, John Hawkins
no flags Details
don't assume the first toolbar is always a menubar (881 bytes, patch)
2006-06-07 05:38 PDT, Simon Bünzli
mconnor: review+
mconnor: approval‑branch‑1.8.1+
Details | Diff | Splinter Review

Description User image John Hawkins 2005-09-07 19:14:38 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050907 Firefox/1.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050907 Firefox/1.4

Help window now has a 2-3 pixel white line at the top that was not visible in
earlier nightlies.

Reproducible: Always

Steps to Reproduce:
1. Open Help->Help Contents
2. See white line @ top of window
3. File bug report

Actual Results:  
White line appeared.

Expected Results:  
No white line should appear.
Comment 1 User image John Hawkins 2005-09-07 19:15:42 PDT
Created attachment 195218 [details]
Screenshot of previously mentioned white line in help dialog
Comment 2 User image Bryan 2005-09-07 20:26:41 PDT
(In reply to comment #1)
> Created an attachment (id=195218) [edit]
> Screenshot of previously mentioned white line in help dialog
> 

This has been there for months.  It also exists in the JavaScript Console.  I
fixed it in https://bugzilla.mozilla.org/show_bug.cgi?id=301039 but Ben G.
reverted it back by removing that specific fix.  I have no clue as to why he did
that.  No real explanation was given.  

~B
Comment 3 User image Ria Klaassen (not reading all bugmail) 2005-09-08 03:42:53 PDT
In the default WinXP theme I see only a one pixel white line. Maybe meant as
(reflecting) light?
Screenshot with enlargement: http://img153.imageshack.us/img153/3977/help4ps.png
Comment 4 User image Asa Dotzler [:asa] 2005-09-13 09:44:22 PDT
not going to block on this though I'm sure we'd consider a fully reviewed fix if
it's low risk.
Comment 5 User image Bryan 2006-05-30 16:57:23 PDT
The following changes to toolbar.css will fix this issue once and for all!

-  border-top: 2px solid;
-  -moz-border-top-colors: ThreeDShadow ThreeDHighlight;
 }
 
 /* ::::: toolbar & menubar ::::: */
 
 toolbar {
   min-width: 1px;
   min-height: 19px;
   border-top: 1px solid ThreeDHighlight;
   border-bottom: 1px solid ThreeDShadow;
 }
 
 toolbar[type="menubar"], menubar {
   min-width: 1px;
   border-bottom: 1px solid ThreeDShadow;
-  border-top: 0px !important;
+}
+
+toolbox > toolbar:first-child, toolbox > menubar:first-child {
+  border-top: 2px solid;
+  -moz-border-top-colors: ThreeDShadow ThreeDHighlight;
 }

~B
Comment 6 User image Simon Bünzli 2006-06-07 05:38:04 PDT
Created attachment 224684 [details] [diff] [review]
don't assume the first toolbar is always a menubar
Comment 7 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-06-17 14:38:46 PDT
Checked this in on the 1.8 branch. Is this relevant to the trunk? It doesn't apply there.
mozilla/toolkit/themes/winstripe/global/toolbar.css 	1.7.2.6
Comment 8 User image Bryan 2006-06-17 23:56:18 PDT
(In reply to comment #7)
> Checked this in on the 1.8 branch. Is this relevant to the trunk? It doesn't
> apply there.
> mozilla/toolkit/themes/winstripe/global/toolbar.css     1.7.2.6
> 
I believe this issue does exist on the trunk as well.  I'm not sure if this patch will apply on the trunk though.

~B
Comment 9 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2006-06-18 00:33:13 PDT
(In reply to comment #8)
> I believe this issue does exist on the trunk as well.  I'm not sure if this
> patch will apply on the trunk though.

It won't. That's what I said in comment 7.
Comment 10 User image Simon Bünzli 2006-06-18 08:27:51 PDT
This isn't relevant on the trunk. Should you get the same issue there, please file a regression against bug 313388 (Windows Classic only).

Note You need to log in before you can comment on or make changes to this bug.